GparsPromiseFactory (Grails 3.2.8)
Date: 2017-03-23

Package: org.grails.async.factory.gpars

## [Groovy] Class GparsPromiseFactory

- org.grails.async.factory.gpars.GparsPromiseFactory

- GPars implementation of the PromiseFactory interface

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractPromiseFactory` | `lookupStrategies`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static boolean` | `GPARS_PRESENT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GparsPromiseFactory ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `Promise<T>` | `createBoundPromise(T value)`
    `<T>` | `Promise<T>` | `createPromise(java.lang.Class<T> returnType)`
    `` | `Promise<java.lang.Object>` | `createPromise()`
    `<T>` | `Promise<T>` | `createPromise(groovy.lang.Closure<T>... closures)`
    `` | `static boolean` | `isGparsAvailable()`
    `<T>` | `Promise<java.util.List<T>>` | `onComplete(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)`
    `<T>` | `Promise<java.util.List<T>>` | `onError(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)`
    `<T>` | `java.util.List<groovyx.gpars.dataflow.Promise<T>>` | `toGparsPromises(java.util.List<Promise<T>> promises)`
    `<T>` | `java.util.List<T>` | `waitAll(java.util.List<Promise<T>> promises)`
    `<T>` | `java.util.List<T>` | `waitAll(java.util.List<Promise<T>> promises, long timeout, java.util.concurrent.TimeUnit units)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractPromiseFactory` | `addPromiseDecoratorLookupStrategy, applyDecorators, createBoundPromise, createPromise, createPromise, createPromise, createPromise, createPromise, createPromise, createPromiseInternal, waitAll`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final boolean GPARS_PRESENT

  - ### Constructor Detail

    - #### GparsPromiseFactory()

  - ### Method Detail

    - #### <T> @java.lang.Override Promise<T> createBoundPromise(T value)

    - #### <T> @java.lang.Override Promise<T> createPromise(java.lang.Class<T> returnType)

    - #### @java.lang.Override Promise<java.lang.Object> createPromise()

    - #### <T> @java.lang.Override Promise<T> createPromise(groovy.lang.Closure<T>... closures)

    - #### static boolean isGparsAvailable()

    - #### <T> Promise<java.util.List<T>> onComplete(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)

    - #### <T> Promise<java.util.List<T>> onError(java.util.List<Promise<T>> promises, groovy.lang.Closure<?> callable)

    - #### <T> java.util.List<groovyx.gpars.dataflow.Promise<T>> toGparsPromises(java.util.List<Promise<T>> promises)

    - #### <T> @java.lang.Override java.util.List<T> waitAll(java.util.List<Promise<T>> promises)

    - #### <T> @java.lang.Override java.util.List<T> waitAll(java.util.List<Promise<T>> promises, long timeout, java.util.concurrent.TimeUnit units)